## planet-venus 0~git9de2109

=== debian/changelog ===
planet-venus (0~git9de2109-4) unstable; urgency=medium

  * Team upload.
  * d/tests/control: Add python-libxslt1 to the test dependencies.
  * d/tests/runtests: Restore the old way of running the unittests, which
    will still fail, but not block autopkgtests.

 -- Barry Warsaw <barry@debian.org>  Wed, 17 Feb 2016 11:25:18 -0500

planet-venus (0~git9de2109-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786289.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Aug 2015 21:16:56 +0200

planet-venus (0~git9de2109-3) unstable; urgency=low

  * Improve autopkgtest configuration.

 -- Olivier Berger <obergix@debian.org>  Wed, 21 May 2014 15:37:34 +0200

planet-venus (0~git9de2109-2) unstable; urgency=low

  * Almost identical to 0~git9de2109-1, but for unstable (Closes: #747381)
  * Don't ship embedded copies of python-feedpaser (Closes: #555355,
    Closes: #684246 - CVE-2011-1156, CVE-2011-1157, CVE-2011-1158).
  * Fix error with Django templates (Closes: #680673).
  * Minor fix to description to not mention Planet in Debian (Closes:
    #568216).

 -- Olivier Berger <obergix@debian.org>  Thu, 08 May 2014 19:53:31 +0200

planet-venus (0~git9de2109-1) experimental; urgency=low

  * New upstream version (git snapshot).
  * Don't force WARNING log_level (Closes: #630635).

 -- Olivier Berger <obergix@debian.org>  Mon, 27 Jan 2014 16:03:32 +0100

planet-venus (0~bzr116-2) UNRELEASED; urgency=low

  * Use canonical URIs for Vcs-* fields.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 05 May 2013 18:05:27 +0200

planet-venus (0~bzr116-1) unstable; urgency=high

  [ Piotr Ożarowski ]
  * New upstream snapshot (Closes: #546179 - CVE-2009-2937)
  * Add python-beautifulsoup to Recommends and python-lxml to Suggests
  * Remove .py[oc] files in clean rule
  * Standards-Version bumped to 3.8.3 (no changes needed)

  [ Noah Slater ]
  * Updated debian/rules to use clean and cleanbuilddir targets.
  * Updated patch for --help output to better satisfy GNU Coding Standards.
  * Updated debian/control, updated Vcs-Browser.
  * Updated debian/control, updated Build-Depends on debhelper to 7.2.11.

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Thu, 01 Oct 2009 19:12:13 +0200

planet-venus (0~bzr95-2) unstable; urgency=medium

  * Added debian/README.source for upstream source information.
  * Added Conflicts with plt-scheme. Closes: #484716
  * Updated Priority to extra per policy section 2.5 regarding Conflicts.
  * Updated debian/binary.lintian-overrides to ignore line length warnings.
  * Updated debian/copyright per latest proposed format.
  * Updated debian/rules to make better use of CDBS variables.

 -- Noah Slater <nslater@tumbolia.org>  Thu, 07 Aug 2008 15:14:12 +0100

planet-venus (0~bzr95-1) unstable; urgency=medium

  * New upstream snapshot.
  * Added drscheme to Conflicts. Closes: #484716
  * Updated formatting in debian/rules.
  * Updated debian/copyright per latest proposed format.
  * Updated Standards-Version to 3.8.0.

 -- Noah Slater <nslater@tumbolia.org>  Tue, 17 Jun 2008 23:18:51 +0100

planet-venus (0~bzr94-1) unstable; urgency=low

  * New upstream snapshot.
  * Removed linda overrides.
  * Updated debian/copyright per latest proposed format.

 -- Noah Slater <nslater@tumbolia.org>  Tue, 20 May 2008 15:19:48 +0100

planet-venus (0~bzr86-1) experimental; urgency=low

  * Initial release. Closes: #461883

 -- Noah Slater <nslater@tumbolia.org>  Tue, 04 Mar 2008 22:47:49 +0000
