=== debian/tests/control ===
Tests: runtests foaftest
Depends: @, python-genshi, python-django, python-libxslt1
Restrictions: allow-stderr, build-needed
